Customers

Customer totals

Returns summary totals for the same customer dataset as the customers
list endpoint. When order_start_date and order_end_date are
provided, customer order stats are calculated for that period. All
returned *_at timestamps are in UTC.

GET /api/v1/store/customers/totals

Customer totals

curl --request GET \
  --url 'https://{baseUrl}/api/v1/store/customers/totals' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "data": {
    "count": 508,
    "total_ltv": 124550.42,
    "total_orders": 712,
    "total_items": 1196,
    "average_ltv": 245.2,
    "average_orders": 1.4,
    "average_items": 2.4,
    "returning_customers": 198,
    "returning_customers_rate": 39,
    "total_active_subscriptions": 82
  }
}

No response description.

Authorizations

  • Authorization string required header

    Generate a store API key from the store's Metorik API settings in Metorik, and choose the scopes needed for the endpoints you want to call.

Query Parameters

  • filters string

    Optional JSON-encoded filter array. See Customer Filters Reference. Example: [{"field":"total_spent","operator":"gte","value":100}]

  • order_end_date string

    Optional end date in the store timezone using YYYY-MM-DD format. Requires order_start_date. When provided, customer order stats are calculated for this period. Example: 2026-03-31

  • order_start_date string

    Optional start date in the store timezone using YYYY-MM-DD format. Requires order_end_date. When provided, customer order stats are calculated for this period. Example: 2026-03-01

  • search string

    Search term to filter customers before totaling. Example: jarvis

Headers

  • Accept string required

    Response format header. Example: application/json

Response

application/json
  • data object
    + Show Child Attributes
    • count integer
    • total_ltv number
    • total_orders integer
    • total_items integer
    • average_ltv number
    • average_orders number
    • average_items number
    • returning_customers integer
    • returning_customers_rate integer
    • total_active_subscriptions integer